﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.IO;

namespace Train
{
    public class Data
    {
        public List<DataItem> LigthData = new List<DataItem>();
        public List<DataItemSignal> SignalData = new List<DataItemSignal>();
        public List<DataItemTrain> TrainData = new List<DataItemTrain>();
        public void SaveAsXml(string Dir)
        {
            XmlSerializer xmlSerializer = new XmlSerializer(this.GetType());
            using (Stream stream = new FileStream(Dir, FileMode.Create))
            {
                xmlSerializer.Serialize(stream, this);
            }
        }
        public static Data LoadFromXml(string Dir)
        {
            XmlSerializer xmlSerializer = new XmlSerializer(typeof(Data));
            using (Stream stream = new FileStream(Dir, FileMode.Open, FileAccess.Read))
            {
                Data d = (Data)xmlSerializer.Deserialize(stream);
                return d;
            }
        }
    }
}
