﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Train
{
    public partial class frmConfiguration : Form
    {
        private Data data;
        public frmConfiguration()
        {
            InitializeComponent();
        }
        public DialogResult ShowFormAndInput(Data Daten)
        {
            data = Daten;
            return ShowDialog();
        }

        private void frmConfiguration_Load(object sender, EventArgs e)
        {
            dataItemBindingSource.DataSource = data.LigthData;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            frmDataInput formDataInput = new frmDataInput();
            DataItem data = new DataItem();
            if (formDataInput.ShowFormAndInput(data) == DialogResult.OK)
            {
                dataItemBindingSource.Add(data);
            }   
        }

        private void button5_Click(object sender, EventArgs e)
        {
            if (dataItemBindingSource.Count > 0)
            {
                if (MessageBox.Show("Wirklich löschen", "?", MessageBoxButtons.YesNo) == DialogResult.Yes)
                {
                    dataItemBindingSource.RemoveCurrent();
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (dataItemBindingSource.Count > 0)
            {
                DataItem data = (DataItem)dataItemBindingSource.Current;
                frmDataInput formDataInput = new frmDataInput();
                if (formDataInput.ShowFormAndInput(data) == DialogResult.OK)
                {
                    dataItemBindingSource.RemoveCurrent();
                    dataItemBindingSource.Add(data);
                }
            }
        }
    }
}
