﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Train
{
    public partial class frmConfiguration3 : Form
    {
        private Data data;
        public frmConfiguration3()
        {
            InitializeComponent();
        }
        public DialogResult ShowFormAndInput(Data Daten)
        {
            data = Daten;
            return ShowDialog();
        }

        private void frmConfiguration3_Load(object sender, EventArgs e)
        {
            dataItemTrainBindingSource.DataSource = data.TrainData;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            frmDataInput3 formDataInput = new frmDataInput3();
            DataItemTrain data = new DataItemTrain();
            if (formDataInput.ShowFormAndInput(data) == DialogResult.OK)
            {
                dataItemTrainBindingSource.Add(data);   
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            if (dataItemTrainBindingSource.Count > 0)
            {
                if (MessageBox.Show("Wirklich löschen", "?", MessageBoxButtons.YesNo) == DialogResult.Yes)
                {
                    dataItemTrainBindingSource.RemoveCurrent();
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (dataItemTrainBindingSource.Count > 0)
            {
                DataItemTrain data = (DataItemTrain)dataItemTrainBindingSource.Current;
                frmDataInput3 formDataInput = new frmDataInput3();
                if (formDataInput.ShowFormAndInput(data) == DialogResult.OK)
                {
                    dataItemTrainBindingSource.RemoveCurrent();
                    dataItemTrainBindingSource.Add(data);
                }
            }
        }
    }
}
