﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Train
{
    
    public partial class frmDataInput : Form
    {
        private DataItem data;
        bool cancel = true;
        public frmDataInput()
        {
            InitializeComponent();
        }
        public DialogResult ShowFormAndInput(DataItem Data)
        {
            data = Data;
            SetData();
            if (ShowDialog() == DialogResult.OK)
            {
                GetData();
                return DialogResult.OK;
            }
            else
            {
                return DialogResult.Cancel;
            }
        }
        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            GetData();
            if (data.Chance == false)
            {
                CommunicationToInterface.Ligth(data.Adress, checkBoxTest.Checked);
                
            }
            else
            {
                CommunicationToInterface.Ligth(data.Adress, !checkBoxTest.Checked);
            }
            if (checkBoxTest.Checked == true) checkBoxTest.BackColor = Color.DarkOrange;
            else checkBoxTest.BackColor = Color.Gainsboro;

        }
        private void button1_Click(object sender, EventArgs e)
        {
            cancel = true;
        }
        private bool CheckInputData()
        {
            // Überprüfung der Eingabedaten
            return true;
        }
        private void GetData()
        {
            // Auslesen der Werte aus dem Formular
            data.Adress = int.Parse(comboBoxAdress.Text);
            data.Headline = textBoxHeadline.Text;
            data.Description = textBoxDescription.Text;
            data.Chance = checkBoxChance.Checked;
        }
        private void SetData()
        {
            comboBoxAdress.Text = data.Adress.ToString();
            if (data.Adress == 0) comboBoxAdress.Text = "";
            textBoxHeadline.Text = data.Headline;
            textBoxDescription.Text = data.Description;
            textBoxIcon.Text = Path.GetFileName(data.IconFileName);
            string filename = Application.StartupPath + "\\icons\\" + data.IconFileName;
            try
            {
                pictureBoxIcon.Image = Image.FromFile(filename);
            }
            catch
            { }
            checkBoxChance.Checked = data.Chance;

        }
        private void frmDataInput_FormClosing(object sender, FormClosingEventArgs e)
        {
            if ((cancel == false) && (CheckInputData()==false))
            {
                e.Cancel = true;
            }
        }
        private void button2_Click(object sender, EventArgs e)
        {
            cancel = false;
            Close();
        }
        private void button1_Click_1(object sender, EventArgs e)
        {
            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                data.IconFileName = Path.GetFileName(openFileDialog.FileName);
                textBoxIcon.Text = Path.GetFileName(data.IconFileName);
                string filename = Application.StartupPath + "\\icons\\" + data.IconFileName;
                try
                {
                       pictureBoxIcon.Image = Image.FromFile(filename);
                }
                catch
                {}
                
            }
        }
    }
}
