﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Train
{
    public partial class frmConfiguration2 : Form
    {
        private Data data;
        public frmConfiguration2()
        {
            InitializeComponent();
        }
        public DialogResult ShowFormAndInput(Data Daten)
        {
            data = Daten;
            return ShowDialog();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            frmDataInput2 formDataInput2 = new frmDataInput2();
            DataItemSignal data = new DataItemSignal();
            if (formDataInput2.ShowFormAndInput(data) == DialogResult.OK)
            {
                dataItemSignalBindingSource.Add(data);
            }   
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (dataItemSignalBindingSource.Count > 0)
            {
                DataItemSignal data = (DataItemSignal)dataItemSignalBindingSource.Current;
                frmDataInput2 formDataInput2 = new frmDataInput2();
                if (formDataInput2.ShowFormAndInput(data) == DialogResult.OK)
                {
                    dataItemSignalBindingSource.RemoveCurrent();
                    dataItemSignalBindingSource.Add(data);
                }
            }
        }

        private void frmConfiguration2_Load(object sender, EventArgs e)
        {
            dataItemSignalBindingSource.DataSource = data.SignalData;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            if (dataItemSignalBindingSource.Count > 0)
            {
                if (MessageBox.Show("Wirklich löschen", "?", MessageBoxButtons.YesNo) == DialogResult.Yes)
                {
                    dataItemSignalBindingSource.RemoveCurrent();
                }
            }
        }
    }
}
