﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Train
{
    public partial class frmDataInput2 : Form
    {
        private DataItemSignal data;
        private bool cancel = true;
        public frmDataInput2()
        {
            InitializeComponent();
        }
        public DialogResult ShowFormAndInput(DataItemSignal Data)
        {
            data = Data;
            SetData();
            if (ShowDialog() == DialogResult.OK)
            {
                GetData();
                return DialogResult.OK;
            }
            else
            {
                return DialogResult.Cancel;
            }
        }
        private bool CheckInputData()
        {
            // Überprüfung der Eingabedaten
            return true;
        }
        private void GetData()
        {
            data.Typ = (DataItemSignal.SignalTyp)comboBoxSignalTyp.SelectedIndex;
            data.Headline = textBoxHeadline.Text;
            data.Description = textBoxDescription.Text;
            data.AdressRed = int.Parse(comboBoxAdressRed.Text);
            data.ChanceRed = checkBoxChanceRed.Checked;
            data.AdressGreen= int.Parse(comboBoxAdressGreen.Text);
            data.ChanceGreen = checkBoxChanceGreen.Checked;
            data.AdressYellow = int.Parse(comboBoxAdressYellow.Text);
            data.ChanceYellow = checkBoxChanceYellow.Checked;
        }
        private void SetData()
        {
            comboBoxSignalTyp.SelectedIndex = (int)data.Typ;
            textBoxHeadline.Text = data.Headline;
            textBoxDescription.Text = data.Description;
            comboBoxAdressRed.Text = data.AdressRed.ToString();
            checkBoxChanceRed.Checked = data.ChanceRed;
            comboBoxAdressGreen.Text = data.AdressGreen.ToString();
            checkBoxChanceGreen.Checked = data.ChanceGreen;
            comboBoxAdressYellow.Text = data.AdressYellow.ToString();
            checkBoxChanceYellow.Checked = data.ChanceYellow;
        }
        private void buttonCancel_Click(object sender, EventArgs e)
        {
            cancel = true;
        }
        private void frmDataInput2_FormClosing(object sender, FormClosingEventArgs e)
        {
            if ((cancel == false) && (CheckInputData() == false))
            {
                e.Cancel = true;
            }
        }
        private void buttonOK_Click(object sender, EventArgs e)
        {
            cancel = false;
            Close();
        }
    }
}
